SDL_InitSubSystem(3)

NAME
SDL_InitSubSystem - Compatibility function to initialize the SDL library.

HEADER FILE
Defined in SDL3/SDL_init.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_InitSubSystem(Uint32 flags);

DESCRIPTION
This function and SDL_Init () are interchangeable.

FUNCTION PARAMETERS

flags
    any of the flags used by SDL_Init (); see SDL_Init
     for details.

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_Init(3), SDL_Quit(3), SDL_QuitSubSystem(3)